lapis = require "lapis"

require "models.user"

class App extends lapis.Application
  layout: require "layout.bootstrap"

  @include "controllers.users"
  @include "controllers.freeswitch"

  @before_filter =>
    @current_user = Users\read_session @

    if @session.flash
      @flash = @session.flash
      @session.flash = nil

  [index: "/"]: =>
    @name = @session.name
    render: true

  "/debug": =>
    @html ->
      config = require("lapis.config").get!

      p config.port
      p config.postgres.port
      p config.postgres.host
      p config.postgres.user
      p config.postgres.password
      p config.postgres.database
