config = require "lapis.config"

config "development", ->
  port 8080

  postgres ->
    backend "pgmoon"
    host "127.0.0.1"
    user "lapis"
    password "lapis"
    database "panel"

config "docker", ->
  port 5000

  postgres ->
    backend "pgmoon"
    port os.getenv "POSTGRESQL_PORT_5432_TCP_PORT"
    host os.getenv "POSTGRESQL_PORT_5432_TCP_ADDR"
    user os.getenv "DB_USER"
    password os.getenv "DB_PASS"
    database os.getenv "DB_NAME"
